cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement

## Class SDR_S31

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SDR_S31_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SDR_S31

-     public final class SDR_S31
      extends SDR_S31_Common

  SDR_S31 - Request Anti-Microbial Device Data (Event S31). This trigger event is sent by the placer application to the filler application to request anti-microbial device data created during the decontamination/sterilization of medical supplies.

  Represents a SDR_S31 message structure (see chapter 17.5.4). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: ANTI-MICROBIAL_DEVICE_DATA (a Group of segments in SDR_S31 message) MULTIPLE_COMPULSARY
  The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  SDR_S31 objS31 = (SDR_S31)MessageFactory.createInstance().createSendSupportedMessage("SDR", "S31");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SDR_S31_Common

      `addAntiMicrobialDeviceDataGroup, addAntiMicrobialDeviceDataGroups, addSoftwareSegment, addSoftwareSegment, getAntiMicrobialDeviceDataGroups, getSoftwareSegments, getUserAuthenticationCredentialSegment, setUserAuthenticationCredentialSegment`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`